﻿@model PonudaViewModel

@{
    ViewBag.Title = "Ažuriranje ponude" + Model.Id;
}
<div class="container">
    <form id="ponuda_form" method="POST" asp-action="Edit"
          asp-route-page="@ViewBag.Page"
          asp-route-sort="@ViewBag.Sort"
          asp-route-ascending="@ViewBag.Ascending">
        <input type="hidden" asp-for="Id" />
        <div asp-validation-summary="All" class="form-group row"></div>

            <div class="form-group">
                <label asp-for="ukupnaCijenaPonude" class="control-label"></label>
                <input asp-for="ukupnaCijenaPonude" class="form-control" />
                <span asp-validation-for="ukupnaCijenaPonude" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="vrstaPonuditelja" class="control-label"></label>
                <select asp-for="vrstaPonuditelja" id="vrsta" class="form-control" asp-items="ViewBag.vrste">
                    <option selected value="" disabled>Odaberite vrstu ponuditelja</option>
                </select>
            </div>
            <div class="form-group" id="tvrtka">
                <label asp-for="tvrtka" class="control-label"></label>
                <select asp-for="tvrtka" class="form-control" asp-items="ViewBag.tvrtke">
                    <option selected value="" disabled>Odaberite tvrtku</option>
                </select>
            </div>
            <div class="form-group" id="konzorcij">
                <label asp-for="konzorcij" class="control-label"></label>
                <select asp-for="konzorcij" class="form-control" asp-items="ViewBag.konzorciji">
                    <option selected value="" disabled>Odaberite konzorcij</option>
                </select>
            </div>
            <div class="text-center">
                <button class="btn btn-primary" type="submit">Spremi</button>
                <a asp-route-page="@ViewBag.Page"
                   asp-route-sort="@ViewBag.Sort"
                   asp-route-ascending="@ViewBag.Ascending"
                   asp-action="Index" class="btn btn-secondary">Odustani</a>
            </div>

            <div class="col-sm-12">
                <partial name="Ponude" model="Model.ponude" />
            </div>
        </form>
</div>

<partial name="NovaPonudaTemplate" />

@section styles{
    <link rel="stylesheet" href="~/lib/jqueryui/themes/base/jquery-ui.css" />
}

@section scripts{
    <script src="~/lib/jqueryui/jquery-ui.js"></script>
    <script src="~/js/autocomplete.js" asp-append-version="true"></script>
    <script src="~/js/ponuda.js" asp-append-version="true"></script>
}
